LLVM: lldb::SBSourceManager Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBSourceManager Class Reference

`#include <SBSourceManager.h>`

## Public Member Functions
| SBSourceManager (const SBDebugger &debugger)
| SBSourceManager (const SBTarget &target)
| SBSourceManager (const SBSourceManager &rhs)
| ~SBSourceManager ()
const lldb::SBSourceManager & | operator= (const lldb::SBSourceManager &rhs)
size_t | DisplaySourceLinesWithLineNumbers (const lldb::SBFileSpec &file, uint32_t line, uint32_t context_before, uint32_t context_after, const char *current_line_cstr, lldb::SBStream &s)
size_t | DisplaySourceLinesWithLineNumbersAndColumn (const lldb::SBFileSpec &file, uint32_t line, uint32_t column, uint32_t context_before, uint32_t context_after, const char *current_line_cstr, lldb::SBStream &s)

## Protected Member Functions
| SBSourceManager (lldb_private::SourceManager *source_manager)

## Friends
class | SBCommandInterpreter
class | SBDebugger

## Detailed Description

Definition at line 19 of file SBSourceManager.h.

## Constructor & Destructor Documentation

lldb::SBSourceManager::SBSourceManager | ( | const SBDebugger & | debugger | ) |

lldb::SBSourceManager::SBSourceManager | ( | const SBTarget & | target | ) |

lldb::SBSourceManager::SBSourceManager | ( | const SBSourceManager & | rhs | ) |

lldb::SBSourceManager::~SBSourceManager | ( |  | ) |

lldb::SBSourceManager::SBSourceManager | ( | lldb_private::SourceManager * | source_manager | ) |
| protected

## Member Function Documentation

size_t lldb::SBSourceManager::DisplaySourceLinesWithLineNumbers | ( | const lldb::SBFileSpec & | file,
|  | uint32_t | line,
|  | uint32_t | context_before,
|  | uint32_t | context_after,
|  | const char * | current_line_cstr,
|  | lldb::SBStream & | s
| ) |  |

size_t lldb::SBSourceManager::DisplaySourceLinesWithLineNumbersAndColumn | ( | const lldb::SBFileSpec & | file,
|  | uint32_t | line,
|  | uint32_t | column,
|  | uint32_t | context_before,
|  | uint32_t | context_after,
|  | const char * | current_line_cstr,
|  | lldb::SBStream & | s
| ) |  |

const lldb::SBSourceManager& lldb::SBSourceManager::operator= | ( | const lldb::SBSourceManager & | rhs | ) |

## Friends And Related Function Documentation

friend class SBCommandInterpreter
| friend

Definition at line 39 of file SBSourceManager.h.

friend class SBDebugger
| friend

Definition at line 40 of file SBSourceManager.h.

The documentation for this class was generated from the following file:

- SBSourceManager.h